# Function create

- create<N, P, PN, T>(platform, protocol, rpc, config): Promise<T>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### P extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"

  - #### PN extends "WormholeCore" | "TokenBridge" | "AutomaticTokenBridge" | "CircleBridge" | "AutomaticCircleBridge" | "Relayer" | "IbcBridge" | "NftBridge"

  - #### T

  #### Parameters

  - ##### platform: P

  - ##### protocol: PN

  - ##### rpc: any

  - ##### config: ChainsConfig<N, P>

  #### Returns Promise<T>

  - Defined in definitions/src/protocol.ts:83

Generated using TypeDoc